
CREATE TABLE IF NOT EXISTS `agencies` (
	`id`	TEXT,
	`name`	TEXT,
	`date_update`	TEXT,
	PRIMARY KEY(`id`)
);

CREATE TABLE IF NOT EXISTS `services` (
	`id`	TEXT,
	`agency_id`	TEXT,
	`name`	TEXT,
	`date_update`	TEXT,
	PRIMARY KEY(`id`)
);

CREATE TABLE IF NOT EXISTS `suppliers` (
	`id`	TEXT,
	`name`	TEXT,
	`corresponding` TEXT DEFAULT NULL,
	`phone`	TEXT DEFAULT NULL,
	`enabled`	INTEGER,
	`date_update`	TEXT,
	`created_by`	TEXT,
	`created_at`	TEXT,
	`updated_by`	TEXT,
	`updated_at`	TEXT,
	`deleted_by`	TEXT,
	PRIMARY KEY(`id`)
);

CREATE TABLE IF NOT EXISTS `references_prices` (
	`id`	TEXT,
	`reference_id`	TEXT,
	`duration_type`	TEXT,
	`amount`	TEXT,
	`created_by`	TEXT,
	`created_at`	TEXT,
	`updated_by`	TEXT,
	`updated_at`	TEXT,
	`deleted_by`	TEXT,
	`date_update`	TEXT,
	PRIMARY KEY(`id`)
);

CREATE TABLE IF NOT EXISTS "operations" (
	`id`	TEXT,
	`operation_id`	TEXT,
	`operation_type`	TEXT,
	`duration_type`	TEXT,
	`duration_amount`	TEXT,
	`deleted_by`	TEXT,
	`duration_number`	INTEGER,
	PRIMARY KEY(`id`)
);

CREATE TABLE IF NOT EXISTS "payments" (
	`id`	TEXT,
	`payment_type`	TEXT,
	`entity`	TEXT,
	`amount`	TEXT,
	`registered`	INTEGER DEFAULT 0,
	`comment`	TEXT DEFAULT NULL,
	`created_by`	TEXT,
	`created_at`	TEXT,
	`updated_by`	TEXT,
	`updated_at`	TEXT,
	`deleted_by`	TEXT,
	`cheque_number`	TEXT DEFAULT NULL,
	`cheque_tenant`	TEXT DEFAULT NULL,
	`cheque_fiscal_residence`	TEXT DEFAULT NULL,
	`registering_date`	TEXT,
	`cheque_deposit_slip`	TEXT,
	`date_update`	TEXT,
	`entity_group_id`	TEXT,
	PRIMARY KEY(`id`)
);

CREATE TABLE IF NOT EXISTS "reservations" (
	`id`	TEXT,
	`reference`	TEXT,
	`beneficiary_id`	TEXT,
	`copy_id`	TEXT,
	`start_date`	TEXT,
	`end_date`	TEXT,
	`comment`	TEXT,
	`price`	NUMERIC,
	`free_reason_id`	TEXT DEFAULT 0,
	`created_by`	TEXT,
	`created_at`	TEXT,
	`updated_by`	TEXT,
	`updated_at`	TEXT,
	`deleted_by`	TEXT,
	`status`	TEXT,
	`date_update`	TEXT,
	`quantity`	INTEGER DEFAULT 1,
	`group_id` TEXT,
	`reservation_date` TEXT,
	`deposit_check_amount` NUMERIC DEFAULT 0,
	PRIMARY KEY(`id`)
);

ALTER TABLE `agencies` ADD COLUMN `delete` INTEGER DEFAULT 0;
ALTER TABLE `agencies` ADD COLUMN `ws_id` TEXT DEFAULT NULL;
ALTER TABLE `beneficiairies` ADD COLUMN `date_update` TEXT DEFAULT NULL;
ALTER TABLE `beneficiairies` ADD COLUMN `delete` INTEGER DEFAULT 0;
ALTER TABLE `beneficiairies` ADD COLUMN `ws_id` TEXT DEFAULT NULL;
ALTER TABLE `categories` ADD COLUMN `ws_id` TEXT DEFAULT NULL;
ALTER TABLE `copies` ADD COLUMN `state` TEXT DEFAULT NULL;
ALTER TABLE `copies` ADD COLUMN `ws_id` TEXT DEFAULT NULL;
ALTER TABLE `duration_types` ADD COLUMN `ws_id` TEXT DEFAULT NULL;
ALTER TABLE `group_rights` ADD COLUMN `ws_id` TEXT DEFAULT NULL;
ALTER TABLE `loaning_checks` ADD COLUMN `ws_id` TEXT DEFAULT NULL;
ALTER TABLE `loanings` ADD COLUMN `deposit_check_amount` NUMERIC DEFAULT 0;
ALTER TABLE `loanings` ADD COLUMN `return_comment` TEXT DEFAULT NULL;
ALTER TABLE `loanings` ADD COLUMN `reclaim_date` TEXT DEFAULT NULL;
ALTER TABLE `loanings` ADD COLUMN `expected_return_date` TEXT DEFAULT NULL;
ALTER TABLE `loanings` ADD COLUMN `reservation_id` TEXT DEFAULT NULL;
ALTER TABLE `loanings` ADD COLUMN `unique_number` TEXT DEFAULT NULL;
ALTER TABLE `loanings` ADD COLUMN `group_id` TEXT DEFAULT NULL;
ALTER TABLE `loanings` ADD COLUMN `ws_id` TEXT DEFAULT NULL;
ALTER TABLE `mediums` ADD COLUMN `ws_id` TEXT DEFAULT NULL;
ALTER TABLE `modes` ADD COLUMN `ws_id` TEXT DEFAULT NULL;
ALTER TABLE `operations` ADD COLUMN `date_update` TEXT DEFAULT NULL;
ALTER TABLE `operations` ADD COLUMN `delete` INTEGER DEFAULT 0;
ALTER TABLE `operations` ADD COLUMN `ws_id` TEXT DEFAULT NULL;
ALTER TABLE `payments` ADD COLUMN `ws_id` TEXT DEFAULT NULL;
ALTER TABLE `profile_rights` ADD COLUMN `id` TEXT UNIQUE;
ALTER TABLE `profile_rights` ADD COLUMN `delete` INTEGER DEFAULT 0;
ALTER TABLE `profile_rights` ADD COLUMN `ws_id` TEXT DEFAULT NULL;
ALTER TABLE `profiles` ADD COLUMN `date_update` TEXT DEFAULT NULL;
ALTER TABLE `profiles` ADD COLUMN `delete` INTEGER DEFAULT 0;
ALTER TABLE `profiles` ADD COLUMN `ws_id` TEXT DEFAULT NULL;
ALTER TABLE `reasons_delay` ADD COLUMN `ws_id` TEXT DEFAULT NULL;
ALTER TABLE `reasons_free` ADD COLUMN `ws_id` TEXT DEFAULT NULL;
ALTER TABLE `reference_tags` ADD COLUMN `id` TEXT UNIQUE;
ALTER TABLE `reference_tags` ADD COLUMN `ws_id` TEXT DEFAULT NULL;
ALTER TABLE `references` ADD COLUMN `ws_id` TEXT DEFAULT NULL;
ALTER TABLE `references` ADD COLUMN `deposit_check_amount` NUMERIC DEFAULT 0;
ALTER TABLE `references` ADD COLUMN `supplier_id` TEXT DEFAULT NULL;
ALTER TABLE `references_prices` ADD COLUMN `ws_id` TEXT DEFAULT NULL;
ALTER TABLE `reservations` ADD COLUMN `ws_id` TEXT DEFAULT NULL;
ALTER TABLE `rights` ADD COLUMN `ws_id` TEXT DEFAULT NULL;
ALTER TABLE `sales` ADD COLUMN `unique_number` TEXT DEFAULT NULL;
ALTER TABLE `sales` ADD COLUMN `group_id` TEXT DEFAULT NULL;
ALTER TABLE `sales` ADD COLUMN `quantity` INTEGER DEFAULT 1;
ALTER TABLE `sales` ADD COLUMN `ws_id` TEXT DEFAULT NULL;
ALTER TABLE `services` ADD COLUMN `delete` INTEGER DEFAULT 0;
ALTER TABLE `services` ADD COLUMN `ws_id` TEXT DEFAULT NULL;
ALTER TABLE `sites` ADD COLUMN `ws_id` TEXT DEFAULT NULL;
ALTER TABLE `statuses` ADD COLUMN `ws_id` TEXT DEFAULT NULL;
ALTER TABLE `suppliers` ADD COLUMN `delete` INTEGER DEFAULT 0;
ALTER TABLE `suppliers` ADD COLUMN `ws_id` TEXT DEFAULT NULL;
ALTER TABLE `tags` ADD COLUMN `ws_id` TEXT DEFAULT NULL;
ALTER TABLE `users` ADD COLUMN `date_update` TEXT DEFAULT NULL;
ALTER TABLE `users` ADD COLUMN `delete` INTEGER DEFAULT 0;
ALTER TABLE `users` ADD COLUMN `ws_id` TEXT DEFAULT NULL;

INSERT INTO `parameters` (`id`, `code`, `value`) VALUES (45, "loanings_calling_again_number_hours", "0");
INSERT INTO `parameters` (`id`, `code`, `value`) VALUES (46, "reloaning_period_days_number", "0");

UPDATE `modes` SET `ws_id` = 'c130dc9c-4ab1-11e7-a919-92ebcb67fe33' WHERE `id` = 1;
UPDATE `modes` SET `ws_id` = 'c130e246-4ab1-11e7-a919-92ebcb67fe33' WHERE `id` = 2;

UPDATE `statuses` SET `ws_id` = '7471e7e4-4222-11e7-a919-92ebcb67fe33' WHERE `id` = 1;
UPDATE `statuses` SET `ws_id` = '7471e8b6-4222-11e7-a919-92ebcb67fe33' WHERE `id` = 2;
UPDATE `statuses` SET `ws_id` = '7471e97e-4222-11e7-a919-92ebcb67fe33' WHERE `id` = 3;
UPDATE `statuses` SET `ws_id` = '7471ea46-4222-11e7-a919-92ebcb67fe33' WHERE `id` = 4;

UPDATE `tags` SET `ws_id` = '0dc52d72-52ac-11e7-b114-b2f933d5fe66' WHERE `id` = 1;
UPDATE `tags` SET `ws_id` = '0dc53006-52ac-11e7-b114-b2f933d5fe66' WHERE `id` = 2;
UPDATE `tags` SET `ws_id` = '0dc53128-52ac-11e7-b114-b2f933d5fe66' WHERE `id` = 3;
UPDATE `tags` SET `ws_id` = '0dc53218-52ac-11e7-b114-b2f933d5fe66' WHERE `id` = 4;
