CREATE TABLE `beneficiairies` (
	`id`	INTEGER PRIMARY KEY AUTOINCREMENT,
	`gestit_id`	INTEGER UNIQUE,
	`matricule`	TEXT,
	`firstname`	TEXT,
	`lastname`	TEXT,
	`private_email`	TEXT,
	`exit_date`	TEXT,
	`contract_type`	TEXT,
	`deposit_check`	INTEGER,
	`check_number`	INTEGER,
	`check_date`	TEXT,
	`site_id`	INTEGER,
	`wallet_id`	INTEGER
);
CREATE TABLE `references` (
	`id`	INTEGER PRIMARY KEY AUTOINCREMENT,
	`name`	TEXT,
	`description`	TEXT,
	`reference`	TEXT,
	`image`	BLOB,
	`created_at`	TEXT,
	`created_by`	INTEGER,
	`updated_at`	TEXT,
	`updated_by`	INTEGER,
	`price`	REAL,
	`medium_id`	INTEGER,
	`type`	TEXT,
	`linked_reference_id`	INTEGER,
	`category_id`	INTEGER,
	`check_enabled`	INTEGER
);
CREATE TABLE `mediums` (
	`id`	INTEGER PRIMARY KEY AUTOINCREMENT,
	`name`	TEXT,
	`code`	TEXT,
	`enabled`	INTEGER,
	`duration_type_id`	INTEGER,
	`created_by`	INTEGER,
	`created_at`	TEXT,
	`updated_by`	INTEGER,
	`updated_at`	TEXT,
	`accounting_code`	INTEGER,
	`duration`	INTEGER,
	`start_day`	INTEGER,
	`end_day`	INTEGER
);
CREATE TABLE `duration_types` (
	`id`	INTEGER PRIMARY KEY AUTOINCREMENT,
	`name`	TEXT
); 
CREATE TABLE `categories` (
	`id`	INTEGER PRIMARY KEY AUTOINCREMENT,
	`name`	TEXT
);
CREATE TABLE `tags` (
	`id`	INTEGER PRIMARY KEY AUTOINCREMENT,
	`name`	TEXT,
	`mode_id`	INTEGER
);
CREATE TABLE `reference_tags` (
	`reference_id`	INTEGER,
	`tag_id`	INTEGER,
	`value`	TEXT,
	PRIMARY KEY(reference_id,tag_id)
);
CREATE TABLE `modes` (
	`id`	INTEGER PRIMARY KEY AUTOINCREMENT,
	`name`	TEXT,
	`code`	TEXT,
	`accounting_code`	TEXT,
	`enabled`	INTEGER
);
CREATE TABLE `copies` (
	`id`	INTEGER PRIMARY KEY AUTOINCREMENT,
	`reference_id`	INTEGER,
	`bar_code`	TEXT,
	`site_id`	INTEGER,
	`status_id`	INTEGER,
	`created_by`	INTEGER,
	`created_at`	TEXT,
	`updated_by`	INTEGER,
	`updated_at`	TEXT
);
CREATE TABLE `statuses` (
    `id`    INTEGER PRIMARY KEY AUTOINCREMENT,
    `name`  TEXT
);
CREATE TABLE `sites` (
    `id`    INTEGER PRIMARY KEY AUTOINCREMENT,
    `name`  TEXT
);
CREATE TABLE `loanings` (
    `id`    INTEGER PRIMARY KEY AUTOINCREMENT,
	`beneficiary_id`	INTEGER,
    `start_date`    TEXT,
    `end_date`  TEXT,
    `return_date`   TEXT,
    `copy_id`   INTEGER,
    `created_by`    INTEGER,
    `created_at`    TEXT,
    `updated_by`    INTEGER,
    `updated_at`    TEXT,
    `comment`   TEXT,
    `duration_number`   INTEGER,
    `duration_price`    NUMERIC,
    `delay_reason_id`   INTEGER,
    `delay_comment` TEXT
);
CREATE TABLE `sales` (
    `id`    INTEGER PRIMARY KEY AUTOINCREMENT,
	`beneficiary_id`	INTEGER,
    `date`    TEXT,
    `copy_id`   INTEGER,
    `created_by`    INTEGER,
    `created_at`    TEXT,
    `updated_by`    INTEGER,
    `updated_at`    TEXT,
    `comment`   TEXT,
    `price`   NUMERIC
);
CREATE TABLE `loaning_checks` (
    `id`    INTEGER PRIMARY KEY AUTOINCREMENT,
    `loaning_id`    INTEGER,
    `number`    INTEGER,
    `returned`  INTEGER
);
CREATE TABLE `profiles` (
    `id`    INTEGER PRIMARY KEY AUTOINCREMENT,
    `gestit_id` INTEGER,
    `name`  TEXT,
    `enabled`   INTEGER
);
CREATE TABLE `rights` (
	`id`	INTEGER PRIMARY KEY AUTOINCREMENT,
	`name`	TEXT,
	`code`	TEXT,
	`group_code`	TEXT
);
CREATE TABLE `profile_rights` (
    `profile_id`    INTEGER,
    `right_id`  INTEGER,
    PRIMARY KEY(profile_id,right_id)
);
CREATE TABLE `users` (
	`id`	INTEGER PRIMARY KEY AUTOINCREMENT,
	`gestit_id`	INTEGER UNIQUE,
	`login`	TEXT,
	`password`	TEXT,
	`site_id`	INTEGER,
	`profile_id`	INTEGER,
	`enabled`	INTEGER,
	`beneficiary_id`	INTEGER
);
CREATE TABLE `parameters` (
	`id`	INTEGER PRIMARY KEY AUTOINCREMENT,
	`code`	TEXT UNIQUE,
	`value`	TEXT
);
CREATE TABLE `reasons_delay` (
	`id`	INTEGER PRIMARY KEY AUTOINCREMENT,
	`name`	TEXT,
	`code_reason`	TEXT,
	`enabled`	INTEGER
);
CREATE TABLE `group_rights` (
	`id`	INTEGER PRIMARY KEY AUTOINCREMENT,
	`name`	TEXT,
	`code`	TEXT
);
INSERT INTO `parameters`(`id`,`code`,`value`) VALUES (4,"url","");--http://preprod-mediatheque.demo-masao.eu");
INSERT INTO `parameters`(`id`,`code`,`value`) VALUES (3,"site","1");
INSERT INTO `parameters`(`id`,`code`,`value`) VALUES (2,"deposit_check","1");
INSERT INTO `parameters`(`id`,`code`,`value`) VALUES (1,"date_update","1900-01-01 01:01:01");
INSERT INTO `duration_types`(`id`,`name`) VALUES (1,"Jour(s)");
INSERT INTO `duration_types`(`id`,`name`) VALUES (2,"Semaine(s)");
INSERT INTO `duration_types`(`id`,`name`) VALUES (3,"Mois");
INSERT INTO `duration_types`(`id`,`name`) VALUES (4,"Cycle(s)");
INSERT INTO `modes`(`id`,`name`,`code`,`accounting_code`,`enabled`) VALUES (1,"Mdiathque","media","4","1");
INSERT INTO `modes`(`id`,`name`,`code`,`accounting_code`,`enabled`) VALUES (2,"Bricothque","brico","5","0");
INSERT INTO `tags`(`id`,`name`,`mode_id`) VALUES (1,"Scnariste",1);
INSERT INTO `tags`(`id`,`name`,`mode_id`) VALUES (2,"Interprete",1);
INSERT INTO `tags`(`id`,`name`,`mode_id`) VALUES (3,"Editeur",1);
INSERT INTO `tags`(`id`,`name`,`mode_id`) VALUES (4,"Marque",2);
INSERT INTO `statuses`(`id`,`name`) VALUES (1,"Disponible");
INSERT INTO `statuses`(`id`,`name`) VALUES (2,"En Location");
INSERT INTO `statuses`(`id`,`name`) VALUES (3,"Non Disponible");
INSERT INTO `statuses`(`id`,`name`) VALUES (4,"Vendu");
INSERT INTO `sites`(`id`,`name`) VALUES (-1,"Tous les sites");
INSERT INTO `sites`(`id`,`name`) VALUES (0,"Default");
INSERT INTO `sites`(`id`,`name`) VALUES (1,"Local");


INSERT INTO `group_rights`(`id`,`name`,`code`) VALUES (NULL,"Accs au paramtrage", "PARAMETER");
INSERT INTO `group_rights`(`id`,`name`,`code`) VALUES (NULL,"Accs aux statistiques", "STATISTIC");
INSERT INTO `group_rights`(`id`,`name`,`code`) VALUES (NULL,"Accs aux catgories", "CATEGORY"); --gnration auto
INSERT INTO `group_rights`(`id`,`name`,`code`) VALUES (NULL,"Accs aux supports", "MEDIUM"); --gnration auto
INSERT INTO `group_rights`(`id`,`name`,`code`) VALUES (NULL,"Accs  la gestion des articles", "COPY");
INSERT INTO `group_rights`(`id`,`name`,`code`) VALUES (NULL,"Divers", "OTHER");

INSERT INTO `rights`(`id`,`name`,`code`,`group_code`) VALUES (NULL,"Accs  la gestion des motifs de retard","PARAMETER_DELAY","PARAMETER");
INSERT INTO `rights`(`id`,`name`,`code`,`group_code`) VALUES (NULL,"Accs  la gestion des supports","PARAMETER_MEDIUM","PARAMETER");
INSERT INTO `rights`(`id`,`name`,`code`,`group_code`) VALUES (NULL,"Accs  la gestion des catgories","PARAMETER_CATEGORY","PARAMETER");
INSERT INTO `rights`(`id`,`name`,`code`,`group_code`) VALUES (NULL,"Accs  la gestion des droits","PARAMETER_LAW","PARAMETER");
INSERT INTO `rights`(`id`,`name`,`code`,`group_code`) VALUES (NULL,"Accs  la gestion des sites","PARAMETER_SITE","PARAMETER");
INSERT INTO `rights`(`id`,`name`,`code`,`group_code`) VALUES (NULL,"Accs  la gestion des rfrences","PARAMETER_REFERENCE","PARAMETER");
INSERT INTO `rights`(`id`,`name`,`code`,`group_code`) VALUES (NULL,"Accs aux paramtres gnraux","PARAMETER_GENERAL","PARAMETER");
INSERT INTO `rights`(`id`,`name`,`code`,`group_code`) VALUES (NULL,"Accs au paramtrage de l'adresse mail","PARAMETER_MAIL","PARAMETER");
INSERT INTO `rights`(`id`,`name`,`code`,`group_code`) VALUES (NULL,"Accs  la synchronisation henley","PARAMETER_SYNCRONIZE","PARAMETER");
INSERT INTO `rights`(`id`,`name`,`code`,`group_code`) VALUES (NULL,"Accs aux locations et aux ventes","LOANING_SELL","OTHER");
INSERT INTO `rights`(`id`,`name`,`code`,`group_code`) VALUES (NULL,"Accs aux retours","LOANING_RETURN","OTHER");
INSERT INTO `rights`(`id`,`name`,`code`,`group_code`) VALUES (NULL,"Accs aux sorties du jour", "STATISTIC_EXITSDAY","STATISTIC");
INSERT INTO `rights`(`id`,`name`,`code`,`group_code`) VALUES (NULL,"Accs aux retours du jour", "STATISTIC_RETURNSDAY","STATISTIC");
INSERT INTO `rights`(`id`,`name`,`code`,`group_code`) VALUES (NULL,"Accs aux emprunts par salaris", "STATISTIC_LOANINGS_BENEFICIARY","STATISTIC");
INSERT INTO `rights`(`id`,`name`,`code`,`group_code`) VALUES (NULL,"Accs aux statistiques par salaris", "STATISTIC_BENEFICIARIES","STATISTIC");
INSERT INTO `rights`(`id`,`name`,`code`,`group_code`) VALUES (NULL,"Accs aux statistiques sur les articles", "STATISTIC_REFERENCE","STATISTIC");
INSERT INTO `rights`(`id`,`name`,`code`,`group_code`) VALUES (NULL,"Accs  la liste des locations", "LIST_LOANINGS","OTHER");
INSERT INTO `rights`(`id`,`name`,`code`,`group_code`) VALUES (NULL,"Accs  la liste des ventes", "LIST_SELL","OTHER");
INSERT INTO `rights`(`id`,`name`,`code`,`group_code`) VALUES (NULL,"Accs  la cration des articles", "COPY_CREATEREF","COPY");
INSERT INTO `rights`(`id`,`name`,`code`,`group_code`) VALUES (NULL,"Accs  la cration des exemplaires", "COPY_CREATECOPY","COPY");
INSERT INTO `rights`(`id`,`name`,`code`,`group_code`) VALUES (NULL,"Accs  la modification des articles et des exemplaires", "COPY_MODIFY","COPY");
INSERT INTO `rights`(`id`,`name`,`code`,`group_code`) VALUES (NULL,"Accs  la suppression des articles et des exemplaires", "COPY_DELETE","COPY");
INSERT INTO `rights`(`id`,`name`,`code`,`group_code`) VALUES (NULL,"Accs  la liste des bnficiaires", "LIST_BENEFICIARIES","OTHER");
