DELETE FROM sites WHERE (sites.id = "-1" OR sites.id = "0");
CREATE TABLE `beneficiairies_tmp` (
	`id`	TEXT,
	`gestit_id`	INTEGER UNIQUE,
	`matricule`	TEXT,
	`firstname`	TEXT,
	`lastname`	TEXT,
	`private_email`	TEXT,
	`exit_date`	TEXT,
	`contract_type`	TEXT,
	`deposit_check`	INTEGER,
	`check_number`	INTEGER,
	`check_date`	TEXT,
	`wallet_id`	INTEGER,
	PRIMARY KEY(id)
);
INSERT INTO `beneficiairies_tmp` SELECT `id`,`gestit_id`,`matricule`,`firstname`,`lastname`,`private_email`,`exit_date`,`contract_type`,`deposit_check`,`check_number`,`check_date`,`wallet_id` FROM `beneficiairies`;
DROP TABLE `beneficiairies`;
ALTER TABLE `beneficiairies_tmp` RENAME TO `beneficiairies`;
-------------------------------------------------------
CREATE TABLE `parameters_tmp` (
	`id`	TEXT,
	`code`	TEXT UNIQUE,
	`value`	TEXT,
	PRIMARY KEY(id)
);
INSERT INTO `parameters_tmp` SELECT `id`,`code`,`value` FROM `parameters`;
DROP TABLE `parameters`;
ALTER TABLE `parameters_tmp` RENAME TO `parameters`;
-------------------------------------------------------
CREATE TABLE `profile_rights_tmp` (
	`profile_id`	TEXT,
	`right_id`	TEXT,
	PRIMARY KEY(profile_id,right_id)
);
INSERT INTO `profile_rights_tmp` SELECT `profile_id`,`right_id` FROM `profile_rights`;
DROP TABLE `profile_rights`;
ALTER TABLE `profile_rights_tmp` RENAME TO `profile_rights`;
ALTER TABLE `profile_rights` ADD COLUMN 	`date_update`	TEXT;
UPDATE `profile_rights` SET `date_update` = (SELECT datetime('now','localtime'));
-------------------------------------------------------
CREATE TABLE `profiles_tmp` (
	`id`	TEXT,
	`gestit_id`	INTEGER,
	`name`	TEXT,
	`enabled`	INTEGER,
	PRIMARY KEY(id)
);
INSERT INTO `profiles_tmp` SELECT `id`,`gestit_id`,`name`,`enabled` FROM `profiles`;
DROP TABLE `profiles`;
ALTER TABLE `profiles_tmp` RENAME TO `profiles`;
-------------------------------------------------------
CREATE TABLE `rights_tmp` (
	`id`	TEXT,
	`name`	TEXT,
	`code`	TEXT,
	`group_code`	TEXT,
	PRIMARY KEY(id)
);
INSERT INTO `rights_tmp` SELECT `id`,`name`,`code`,`group_code` FROM `rights`;
DROP TABLE `rights`;
ALTER TABLE `rights_tmp` RENAME TO `rights`;
ALTER TABLE `rights` ADD COLUMN 	`date_update`	TEXT;
ALTER TABLE `rights` ADD COLUMN 	`delete` INTEGER DEFAULT 0;
UPDATE `rights` SET `date_update` = (SELECT datetime('now','localtime')), `delete` = 0;
-------------------------------------------------------
CREATE TABLE `sites_tmp` (
	`id`	TEXT,
	`name`	TEXT,
	PRIMARY KEY(id)
);
INSERT INTO `sites_tmp` SELECT `id`,`name` FROM `sites`;
DROP TABLE `sites`;
ALTER TABLE `sites_tmp` RENAME TO `sites`;
ALTER TABLE `sites` ADD COLUMN 	`delete` INTEGER DEFAULT 0;
ALTER TABLE `sites` ADD COLUMN 	`date_update`	TEXT;
ALTER TABLE `sites` ADD COLUMN 	`enabled`	INTEGER DEFAULT 1;
UPDATE `sites` SET `date_update` = (SELECT datetime('now','localtime')), `delete` = 0, `enabled` = 1;
UPDATE `sites` SET `enabled` = 0 WHERE `id` IN ("-1","0") ;
-------------------------------------------------------
CREATE TABLE `statuses_tmp` (
	`id`	TEXT,
	`name`	TEXT,
	PRIMARY KEY(id)
);
INSERT INTO `statuses_tmp` SELECT `id`,`name` FROM `statuses`;
DROP TABLE `statuses`;
ALTER TABLE `statuses_tmp` RENAME TO `statuses`;
-------------------------------------------------------
CREATE TABLE `copies_tmp` (
	`id`	TEXT,
	`reference_id`	TEXT,
	`bar_code`	TEXT,
	`site_id`	TEXT,
	`status_id`	INTEGER,
	`created_by`	INTEGER,
	`created_at`	TEXT,
	`updated_by`	INTEGER,
	`updated_at`	TEXT,
	PRIMARY KEY(id)
);
INSERT INTO `copies_tmp` SELECT `id`,`reference_id`,`bar_code`,`site_id`,`status_id`,`created_by`,`created_at`,`updated_by`,`updated_at` FROM `copies`;
DROP TABLE `copies`;
ALTER TABLE `copies_tmp` RENAME TO `copies`;
ALTER TABLE `copies` ADD COLUMN 	`date_update`	TEXT;
ALTER TABLE `copies` ADD COLUMN 	`delete` INTEGER DEFAULT 0;
UPDATE `copies` SET `date_update` = (SELECT datetime('now','localtime')), `delete` = 0;
-------------------------------------------------------
CREATE TABLE `categories_tmp` (
	`id`	TEXT,
	`name`	TEXT,
	PRIMARY KEY(id)
);
INSERT INTO `categories_tmp` SELECT `id`,`name` FROM `categories`;
DROP TABLE `categories`;
ALTER TABLE `categories_tmp` RENAME TO `categories`;
ALTER TABLE `categories` ADD COLUMN 	`date_update`	TEXT;
ALTER TABLE `categories` ADD COLUMN 	`delete` INTEGER DEFAULT 0;
UPDATE `categories` SET `date_update` = (SELECT datetime('now','localtime')), `delete` = 0;
-------------------------------------------------------
CREATE TABLE `duration_types_tmp` (
	`id`	TEXT,
	`name`	TEXT,
	PRIMARY KEY(id)
);
INSERT INTO `duration_types_tmp` SELECT `id`,`name` FROM `duration_types`;
DROP TABLE `duration_types`;
ALTER TABLE `duration_types_tmp` RENAME TO `duration_types`;
-------------------------------------------------------
CREATE TABLE `loaning_checks_tmp` (
	`id`	TEXT,
	`loaning_id`	TEXT,
	`number`	INTEGER,
	`returned`	INTEGER,
	PRIMARY KEY(id)
);
INSERT INTO `loaning_checks_tmp` SELECT `id`,`loaning_id`,`number`,`returned` FROM `loaning_checks`;
DROP TABLE `loaning_checks`;
ALTER TABLE `loaning_checks_tmp` RENAME TO `loaning_checks`;
ALTER TABLE `loaning_checks` ADD COLUMN 	`date_update`	TEXT;
ALTER TABLE `loaning_checks` ADD COLUMN 	`delete` INTEGER DEFAULT 0;
UPDATE `loaning_checks` SET `date_update` = (SELECT datetime('now','localtime')), `delete` = 0;
-------------------------------------------------------
CREATE TABLE `loanings_tmp` (
	`id`	TEXT,
	`beneficiary_id`	INTEGER,
	`start_date`	TEXT,
	`end_date`	TEXT,
	`return_date`	TEXT,
	`copy_id`	TEXT,
	`created_by`	INTEGER,
	`created_at`	TEXT,
	`updated_by`	INTEGER,
	`updated_at`	TEXT,
	`comment`	TEXT,
	`duration_number`	INTEGER,
	`duration_price`	NUMERIC,
	`delay_reason_id`	TEXT,
	`delay_comment`	TEXT,
	PRIMARY KEY(id)
);
INSERT INTO `loanings_tmp` SELECT `id`,`beneficiary_id`,`start_date`,`end_date`,`return_date`,`copy_id`,`created_by`,`created_at`,`updated_by`,`updated_at`,`comment`,`duration_number`,`duration_price`,`delay_reason_id`,`delay_comment` FROM `loanings`;
DROP TABLE `loanings`;
ALTER TABLE `loanings_tmp` RENAME TO `loanings`;
ALTER TABLE `loanings` ADD COLUMN 	`date_update`	TEXT;
ALTER TABLE `loanings` ADD COLUMN 	`delete` INTEGER DEFAULT 0;
UPDATE `loanings` SET `date_update` = (SELECT datetime('now','localtime')), `delete` = 0;
-------------------------------------------------------
CREATE TABLE `mediums_tmp` (
	`id`	TEXT,
	`name`	TEXT,
	`code`	TEXT,
	`enabled`	INTEGER,
	`duration_type_id`	TEXT,
	`created_by`	INTEGER,
	`created_at`	TEXT,
	`updated_by`	INTEGER,
	`updated_at`	TEXT,
	`accounting_code`	INTEGER,
	`duration`	INTEGER,
	`start_day`	INTEGER,
	`end_day`	INTEGER,
	PRIMARY KEY(id)
);
INSERT INTO `mediums_tmp` SELECT `id`,`name`,`code`,`enabled`,`duration_type_id`,`created_by`,`created_at`,`updated_by`,`updated_at`,`accounting_code`,`duration`,`start_day`,`end_day` FROM `mediums`;
DROP TABLE `mediums`;
ALTER TABLE `mediums_tmp` RENAME TO `mediums`;
ALTER TABLE `mediums` ADD COLUMN 	`date_update`	TEXT;
ALTER TABLE `mediums` ADD COLUMN 	`delete` INTEGER DEFAULT 0;
UPDATE `mediums` SET `date_update` = (SELECT datetime('now','localtime')), `delete` = 0;
-------------------------------------------------------
CREATE TABLE `modes_tmp` (
	`id`	TEXT,
	`name`	TEXT,
	`code`	TEXT,
	`payment_code`	TEXT,
	`enabled`	INTEGER,
	PRIMARY KEY(id)
);
INSERT INTO `modes_tmp` SELECT `id`,`name`,`code`,`accounting_code`,`enabled` FROM `modes`;
DROP TABLE `modes`;
ALTER TABLE `modes_tmp` RENAME TO `modes`;
-------------------------------------------------------
CREATE TABLE `reasons_delay_tmp` (
	`id`	TEXT,
	`name`	TEXT,
	`code_reason`	TEXT,
	`enabled`	INTEGER,
	PRIMARY KEY(id)
);
INSERT INTO `reasons_delay_tmp` SELECT `id`,`name`,`code_reason`,`enabled` FROM `reasons_delay`;
DROP TABLE `reasons_delay`;
ALTER TABLE `reasons_delay_tmp` RENAME TO `reasons_delay`;
ALTER TABLE `reasons_delay` ADD COLUMN 	`date_update`	TEXT;
ALTER TABLE `reasons_delay` ADD COLUMN 	`delete` INTEGER DEFAULT 0;
UPDATE `reasons_delay` SET `date_update` = (SELECT datetime('now','localtime')), `delete` = 0;
-------------------------------------------------------
CREATE TABLE `reference_tags_tmp` (
	`reference_id`	TEXT,
	`tag_id`	TEXT,
	`value`	TEXT,
	PRIMARY KEY(reference_id,tag_id)
);
INSERT INTO `reference_tags_tmp` SELECT `reference_id`,`tag_id`,`value` FROM `reference_tags`;
DROP TABLE `reference_tags`;
ALTER TABLE `reference_tags_tmp` RENAME TO `reference_tags`;
ALTER TABLE `reference_tags` ADD COLUMN 	`date_update`	TEXT;
ALTER TABLE `reference_tags` ADD COLUMN 	`delete` INTEGER DEFAULT 0;
UPDATE `reference_tags` SET `date_update` = (SELECT datetime('now','localtime')), `delete` = 0;
-------------------------------------------------------
CREATE TABLE `tags_tmp` (
	`id`	TEXT,
	`name`	TEXT,
	`mode_id`	TEXT,
	PRIMARY KEY(id)
);
INSERT INTO `tags_tmp` SELECT `id`,`name`,`mode_id` FROM `tags`;
DROP TABLE `tags`;
ALTER TABLE `tags_tmp` RENAME TO `tags`;
ALTER TABLE `tags` ADD COLUMN 	`date_update`	TEXT;
ALTER TABLE `tags` ADD COLUMN 	`delete` INTEGER DEFAULT 0;
UPDATE `tags` SET `date_update` = (SELECT datetime('now','localtime')), `delete` = 0;
-------------------------------------------------------
CREATE TABLE `references_tmp` (
	`id`	TEXT,
	`name`	TEXT,
	`description`	TEXT,
	`reference`	TEXT,
	`image`	BLOB,
	`created_at`	TEXT,
	`created_by`	INTEGER,
	`updated_at`	TEXT,
	`updated_by`	INTEGER,
	`price`	REAL,
	`medium_id`	TEXT,
	`type`	TEXT,
	`linked_reference_id`	TEXT,
	`category_id`	TEXT,
	`check_enabled`	INTEGER,
	PRIMARY KEY(id)
);
INSERT INTO `references_tmp` SELECT `id`,`name`,`description`,`reference`,`image`,`created_at`,`created_by`,`updated_at`,`updated_by`,`price`,`medium_id`,`type`,`linked_reference_id`,`category_id`,`check_enabled` FROM `references`;
DROP TABLE `references`;
ALTER TABLE `references_tmp` RENAME TO `references`;
ALTER TABLE `references` ADD COLUMN 	`date_update`	TEXT;
ALTER TABLE `references` ADD COLUMN 	`delete` INTEGER DEFAULT 0;
UPDATE `references` SET `date_update` = (SELECT datetime('now','localtime')), `delete` = 0;
-------------------------------------------------------
CREATE TABLE `sales_tmp` (
	`id`	TEXT,
	`beneficiary_id`	INTEGER,
	`date`	TEXT,
	`copy_id`	TEXT,
	`created_by`	INTEGER,
	`created_at`	TEXT,
	`updated_by`	INTEGER,
	`updated_at`	TEXT,
	`comment`	TEXT,
	`price`	NUMERIC,
	PRIMARY KEY(id)
);
INSERT INTO `sales_tmp` SELECT `id`,`beneficiary_id`,`date`,`copy_id`,`created_by`,`created_at`,`updated_by`,`updated_at`,`comment`,`price` FROM `sales`;
DROP TABLE `sales`;
ALTER TABLE `sales_tmp` RENAME TO `sales`;
ALTER TABLE `sales` ADD COLUMN 	`date_update`	TEXT;
ALTER TABLE `sales` ADD COLUMN 	`delete` INTEGER DEFAULT 0;
UPDATE `sales` SET `date_update` = (SELECT datetime('now','localtime')), `delete` = 0;
-------------------------------------------------------
CREATE TABLE `group_rights_tmp` (
	`id`	TEXT,
	`name`	TEXT,
	`code`	TEXT,
	PRIMARY KEY(id)
);
INSERT INTO `group_rights_tmp` SELECT `id`,`name`,`code` FROM `group_rights`;
DROP TABLE `group_rights`;
ALTER TABLE `group_rights_tmp` RENAME TO `group_rights`;
ALTER TABLE `group_rights` ADD COLUMN 	`date_update`	TEXT;
ALTER TABLE `group_rights` ADD COLUMN 	`delete` INTEGER DEFAULT 0;
UPDATE `group_rights` SET `date_update` = (SELECT datetime('now','localtime')), `delete` = 0;
-------------------------------------------------------
CREATE TABLE `users_tmp` (
	`id`	TEXT,
	`gestit_id`	INTEGER UNIQUE,
	`login`	TEXT,
	`password`	TEXT,
	`profile_id`	TEXT,
	`enabled`	INTEGER,
	`beneficiary_id`	TEXT,
	PRIMARY KEY(id)
);
INSERT INTO `users_tmp` SELECT `id`,`gestit_id`,`login`,`password`,`profile_id`,`enabled`,`beneficiary_id` FROM `users`;
DROP TABLE `users`;
ALTER TABLE `users_tmp` RENAME TO `users`;
---------------
UPDATE `copies` SET created_by = (select gestit_id from beneficiairies where id = created_by), updated_by = (select gestit_id from beneficiairies where id = updated_by);
UPDATE `sales` SET created_by = (select gestit_id from beneficiairies where id = created_by), updated_by = (select gestit_id from beneficiairies where id = updated_by);
UPDATE `loanings` SET beneficiary_id = (select gestit_id from beneficiairies where id = beneficiary_id),created_by = (select gestit_id from beneficiairies where id = created_by), updated_by = (select gestit_id from beneficiairies where id = updated_by);
UPDATE `mediums` SET created_by = (select gestit_id from beneficiairies where id = created_by), updated_by = (select gestit_id from beneficiairies where id = updated_by);
UPDATE `references` SET created_by = (select gestit_id from beneficiairies where id = created_by), updated_by = (select gestit_id from beneficiairies where id = updated_by);
UPDATE `users` SET beneficiary_id = (select gestit_id from beneficiairies where id = beneficiary_id); 
INSERT OR REPLACE INTO `profiles`(`id`,`gestit_id`,`name`,`enabled`) VALUES ("0","0","Super Admin",1);
INSERT OR REPLACE INTO `beneficiairies`(`id`,`gestit_id`,`matricule`,`firstname`,`lastname`,`private_email`,`exit_date`,`contract_type`,`deposit_check`,`check_number`,`check_date`,`wallet_id`) VALUES ("0","0","000000000","Super","Admin","","0000-00-00","",0,0,"","0");
INSERT OR REPLACE INTO `users`(`id`,`gestit_id`,`login`,`password`,`profile_id`,`enabled`,`beneficiary_id`) VALUES ("0","0","SuperAdmin","MDAzMTZlMmIxNTM3NjJhMGI4NDJhYzhjODFjZTQ5ZTE=","0",1,"0");
INSERT OR REPLACE INTO `profile_rights`(`profile_id`,`right_id`) VALUES ((SELECT `id` FROM `profiles` WHERE `id` = "0"),(SELECT `id` FROM `rights` WHERE `code` = 'PARAMETER_LAW'));
INSERT OR REPLACE INTO `profile_rights`(`profile_id`,`right_id`) VALUES ((SELECT `id` FROM `profiles` WHERE `id` = "0"),(SELECT `id` FROM `rights` WHERE `code` = 'PARAMETER_DELAY'));
INSERT OR REPLACE INTO `profile_rights`(`profile_id`,`right_id`) VALUES ((SELECT `id` FROM `profiles` WHERE `id` = "0"),(SELECT `id` FROM `rights` WHERE `code` = 'PARAMETER_MEDIUM'));
INSERT OR REPLACE INTO `profile_rights`(`profile_id`,`right_id`) VALUES ((SELECT `id` FROM `profiles` WHERE `id` = "0"),(SELECT `id` FROM `rights` WHERE `code` = 'PARAMETER_CATEGORY'));
INSERT OR REPLACE INTO `profile_rights`(`profile_id`,`right_id`) VALUES ((SELECT `id` FROM `profiles` WHERE `id` = "0"),(SELECT `id` FROM `rights` WHERE `code` = 'PARAMETER_SITE'));
INSERT OR REPLACE INTO `profile_rights`(`profile_id`,`right_id`) VALUES ((SELECT `id` FROM `profiles` WHERE `id` = "0"),(SELECT `id` FROM `rights` WHERE `code` = 'PARAMETER_REFERENCE'));
INSERT OR REPLACE INTO `profile_rights`(`profile_id`,`right_id`) VALUES ((SELECT `id` FROM `profiles` WHERE `id` = "0"),(SELECT `id` FROM `rights` WHERE `code` = 'PARAMETER_GENERAL'));
INSERT OR REPLACE INTO `profile_rights`(`profile_id`,`right_id`) VALUES ((SELECT `id` FROM `profiles` WHERE `id` = "0"),(SELECT `id` FROM `rights` WHERE `code` = 'PARAMETER_MAIL'));
INSERT OR REPLACE INTO `profile_rights`(`profile_id`,`right_id`) VALUES ((SELECT `id` FROM `profiles` WHERE `id` = "0"),(SELECT `id` FROM `rights` WHERE `code` = 'PARAMETER_SYNCRONIZE'));
INSERT OR REPLACE INTO `profile_rights`(`profile_id`,`right_id`) VALUES ((SELECT `id` FROM `profiles` WHERE `id` = "0"),(SELECT `id` FROM `rights` WHERE `code` = 'LOANING_SELL'));
INSERT OR REPLACE INTO `profile_rights`(`profile_id`,`right_id`) VALUES ((SELECT `id` FROM `profiles` WHERE `id` = "0"),(SELECT `id` FROM `rights` WHERE `code` = 'LOANING_RETURN'));
INSERT OR REPLACE INTO `profile_rights`(`profile_id`,`right_id`) VALUES ((SELECT `id` FROM `profiles` WHERE `id` = "0"),(SELECT `id` FROM `rights` WHERE `code` = 'STATISTIC_EXITSDAY'));
INSERT OR REPLACE INTO `profile_rights`(`profile_id`,`right_id`) VALUES ((SELECT `id` FROM `profiles` WHERE `id` = "0"),(SELECT `id` FROM `rights` WHERE `code` = 'STATISTIC_RETURNSDAY'));
INSERT OR REPLACE INTO `profile_rights`(`profile_id`,`right_id`) VALUES ((SELECT `id` FROM `profiles` WHERE `id` = "0"),(SELECT `id` FROM `rights` WHERE `code` = 'STATISTIC_LOANINGS_BENEFICIARY'));
INSERT OR REPLACE INTO `profile_rights`(`profile_id`,`right_id`) VALUES ((SELECT `id` FROM `profiles` WHERE `id` = "0"),(SELECT `id` FROM `rights` WHERE `code` = 'STATISTIC_BENEFICIARIES'));
INSERT OR REPLACE INTO `profile_rights`(`profile_id`,`right_id`) VALUES ((SELECT `id` FROM `profiles` WHERE `id` = "0"),(SELECT `id` FROM `rights` WHERE `code` = 'STATISTIC_REFERENCE'));
INSERT OR REPLACE INTO `profile_rights`(`profile_id`,`right_id`) VALUES ((SELECT `id` FROM `profiles` WHERE `id` = "0"),(SELECT `id` FROM `rights` WHERE `code` = 'LIST_LOANINGS'));
INSERT OR REPLACE INTO `profile_rights`(`profile_id`,`right_id`) VALUES ((SELECT `id` FROM `profiles` WHERE `id` = "0"),(SELECT `id` FROM `rights` WHERE `code` = 'LIST_SELL'));
INSERT OR REPLACE INTO `profile_rights`(`profile_id`,`right_id`) VALUES ((SELECT `id` FROM `profiles` WHERE `id` = "0"),(SELECT `id` FROM `rights` WHERE `code` = 'COPY_CREATEREF'));
INSERT OR REPLACE INTO `profile_rights`(`profile_id`,`right_id`) VALUES ((SELECT `id` FROM `profiles` WHERE `id` = "0"),(SELECT `id` FROM `rights` WHERE `code` = 'COPY_MODIFY'));
INSERT OR REPLACE INTO `profile_rights`(`profile_id`,`right_id`) VALUES ((SELECT `id` FROM `profiles` WHERE `id` = "0"),(SELECT `id` FROM `rights` WHERE `code` = 'COPY_DELETE'));
INSERT OR REPLACE INTO `profile_rights`(`profile_id`,`right_id`) VALUES ((SELECT `id` FROM `profiles` WHERE `id` = "0"),(SELECT `id` FROM `rights` WHERE `code` = 'LIST_BENEFICIARIES'));
INSERT OR REPLACE INTO `profile_rights`(`profile_id`,`right_id`) VALUES ((SELECT `id` FROM `profiles` WHERE `id` = "0"),(SELECT `id` FROM `rights` WHERE `code` = 'COPY_CREATECOPY'));
INSERT OR REPLACE INTO `parameters`(`id`,`code`,`value`) VALUES (5,"categories_date_update","1900-01-01 01:01:01");
INSERT OR REPLACE INTO `parameters`(`id`,`code`,`value`) VALUES (6,"copies_date_update","1900-01-01 01:01:01");
INSERT OR REPLACE INTO `parameters`(`id`,`code`,`value`) VALUES (8,"loanings_date_update","1900-01-01 01:01:01");
INSERT OR REPLACE INTO `parameters`(`id`,`code`,`value`) VALUES (9,"mediums_date_update","1900-01-01 01:01:01");
INSERT OR REPLACE INTO `parameters`(`id`,`code`,`value`) VALUES (10,"reasons_delay_date_update","1900-01-01 01:01:01");
INSERT OR REPLACE INTO `parameters`(`id`,`code`,`value`) VALUES (11,"ref_tag_date_update","1900-01-01 01:01:01");
INSERT OR REPLACE INTO `parameters`(`id`,`code`,`value`) VALUES (12,"references_date_update","1900-01-01 01:01:01");
INSERT OR REPLACE INTO `parameters`(`id`,`code`,`value`) VALUES (13,"sales_date_update","1900-01-01 01:01:01");
INSERT OR REPLACE INTO `parameters`(`id`,`code`,`value`) VALUES (14,"tags_date_update","1900-01-01 01:01:01");
INSERT OR REPLACE INTO `parameters`(`id`,`code`,`value`) VALUES (15,"loaning_checks_date_update","1900-01-01 01:01:01");
INSERT OR REPLACE INTO `parameters`(`id`,`code`,`value`) VALUES (16,"rights_date_update","1900-01-01 01:01:01");
INSERT OR REPLACE INTO `parameters`(`id`,`code`,`value`) VALUES (17,"group_rights_date_update","1900-01-01 01:01:01");
INSERT OR REPLACE INTO `parameters`(`id`,`code`,`value`) VALUES (18,"profile_right_date_update","1900-01-01 01:01:01");
INSERT OR REPLACE INTO `parameters`(`id`,`code`,`value`) VALUES (19,"sites_date_update","1900-01-01 01:01:01");
INSERT OR REPLACE INTO `parameters`(`id`,`code`,`value`) VALUES (20,"multipost","1");
INSERT OR REPLACE INTO `parameters`(`id`,`code`,`value`) VALUES (21,"firstStart","1");
INSERT OR REPLACE INTO `parameters`(`id`,`code`,`value`) VALUES (22,"gestitServeur","");
INSERT OR REPLACE INTO `parameters`(`id`,`code`,`value`) VALUES (23,"gestitPort","");
INSERT OR REPLACE INTO `parameters`(`id`,`code`,`value`) VALUES (24,"gestitDatabase","");
INSERT OR REPLACE INTO `parameters`(`id`,`code`,`value`) VALUES (25,"gestitUID","");
INSERT OR REPLACE INTO `parameters`(`id`,`code`,`value`) VALUES (26,"gestitPassword","");
INSERT OR REPLACE INTO `parameters`(`id`,`code`,`value`) VALUES (27,"multiServeur","");
INSERT OR REPLACE INTO `parameters`(`id`,`code`,`value`) VALUES (28,"multiPort","");
INSERT OR REPLACE INTO `parameters`(`id`,`code`,`value`) VALUES (29,"multiDatabase","");
INSERT OR REPLACE INTO `parameters`(`id`,`code`,`value`) VALUES (30,"multiUID","");
INSERT OR REPLACE INTO `parameters`(`id`,`code`,`value`) VALUES (31,"multiPassword","");
------------------------FIN-------------------------------